input[type="checkbox"] {
    display: none;
}

.userprofile #userDataContainer,
.userprofile #userImageContainer {
    display: block;
}

.userprofile #userDataContainer.hide,
.userprofile #userImageContainer.hide {
    display: none;
}

.userprofile .headerContainer {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.userprofile .headerContainer .headerTitle {
    font-family: "Metropolis Regular";
    font-size: 24px;
    line-height: 28px;
    letter-spacing: 0.36px;
    color: #4b4a4a;
}

.userprofile .headerContainer .closeIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/close_icon_black_accesibility_v1.png);
    background-size: contain;
    height: 32px;
    width: 32px;
    cursor: pointer;
}

.userprofile .largeInputsContainer .container {
    position: relative;
    padding-inline: 0;
    margin-bottom: 0;
}

.userprofile .largeInputsContainer .container .labelTitle {
    font-family: "Metropolis Regular";
    font-size: 20px;
    line-height: 28px;
    letter-spacing: 0.5px;
    margin-left: 25px;
    margin-block: 10px 24px;
}

.userprofile .buttonContainer {
    display: flex;
    width: 100%;
    justify-content: center;
    margin-block: 25px;
}

.userprofile .twoColumnsContainer {
    display: flex;
    gap: 20px;
}

.userprofile .twoColumnsContainer .infoContainer {
    display: flex;
    flex-direction: column;
    margin-bottom: 24px;
    width: 100%;
}

.userprofile .twoColumnsContainer .infoContainer .selectContainer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    background-color: #f0f0f0;
    width: min-content;
    border-radius: 4px;
    border-radius: 8px;
    width: 100%;
}

.userprofile .twoColumnsContainer .infoContainer .selectContainer select {
    background-color: #f0f0f0;
    border-radius: 8px;
    border: 0;
    padding: 5.5px 14px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
    width: 100%;
    color: #333;
    height: 66px;
    font-family: "Metropolis Regular";
    font-size: 20px;
    line-height: 24px;
    letter-spacing: 0.2px;
}

.userprofile .twoColumnsContainer .infoContainer .selectContainer .arrowIcon {
    position: absolute;
    right: 10px;
    width: 36px;
    height: 36px;
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/arrow_down_thing_icon_lm.png);
    background-size: 36px 36px;
    pointer-events: none;
}
.userprofile .imgAndNameContainer {
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: center;
    position: relative;
}

.userprofile .imagePickerWrapper {
    position: relative;
}

.userprofile .imagePicker {
    width: 144px;
    height: 144px;
    border-radius: 50%;
    border: 1px solid #707070;
    background-size: cover;
}

.userprofile .fullNameContainer {
    display: flex;
    flex-wrap: wrap;
    width: calc(100% - 120px);
    margin-left: 20px;
}

.userprofile .infoContainer input,
.userprofile .infoContainer .suffix {
    font-family: "Metropolis Regular";
    display: flex;
    width: 100%;
    font-size: 20px;
    line-height: 24px;
    letter-spacing: 0.2px;
    color: #333;
    background-color: #f0f0f0;
    border-radius: 8px;
    border: 0;
    height: 66px;
    padding: 0px 16px;
    align-items: center;
    margin-bottom: 5px;
}

.userprofile .infoContainer input::placeholder {
    font-family: "Metropolis Regular";
    font-size: 20px;
    line-height: 24px;
    letter-spacing: 0.2px;
    color: #333;
}

.userprofile .infoContainer .dropdowninput {
    display: flex;
    justify-content: flex-end;
}

.userprofile .infoContainer .suffix {
    background-color: transparent;
    border: 0;
    margin-left: 7px;
}

.userprofile .infoContainer input::placeholder {
    font-family: "Metropolis Light";
    font-size: 18px;
    letter-spacing: 0.18px;
    color: #333;
}

.userprofile .infoContainer input:focus,
.userprofile .infoContainer .selectContainer select:focus {
    outline: none;
}

.userprofile .infoContainer .paramTitle {
    font-family: "Metropolis Bold";
    font-size: 20px;
    line-height: 24px;
    letter-spacing: 0.2px;
    color: #333333;
    margin-bottom: 10px;
}

.userprofile.imp .metric,
.userprofile .imperial {
    display: none;
}

.userprofile.imp .imperial,
.userprofile .metric {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 50%;
}
.userprofile .metric {
    width: 100%;
    display: flex;
    flex-direction: row;
}
.userprofile .infoContainer .metric input,
.userprofile .infoContainer .metric .suffix {
    width: 50%;
}
.userprofile.imp .imperial {
    width: 65%;
}

.userprofile .action-button {
    display: flex;
    min-width: 230px;
    height: 64px;
    padding: 10px 16px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 8px;
    border: 2px solid #1471db;
    background-color: #1471db;
    color: #fff;
    font-family: "Metropolis Semi Bold";
    font-size: 24px;
    font-style: normal;
    font-weight: 500;
    line-height: 32px; /* 133.333% */
    letter-spacing: 0.36px;
    margin-inline: 18px;
    text-transform: uppercase;
    cursor: pointer;
}

.userprofile .previous.action-button {
    background-color: transparent;
    color: #1471db;
}

.userprofile .errorMessage {
    width: 100%;
    text-align: center;
}

.userprofile .errorMessage .errormessage .message {
    color: rgb(232, 0, 0);
}

.dark .userprofile .errorMessage .errormessage .message {
    color: rgb(232, 0, 0);
}

.userprofile .editIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/pencil_icon_lm.png);
    background-size: contain;
    height: 44px;
    width: 44px;
    cursor: pointer;
    position: absolute;
    bottom: 0;
    right: 0;
}

/* Create a custom checkbox */
.userprofile .largeInputsContainer .container .checkmark {
    position: absolute;
    top: 13px;
    left: 0;
    height: 20px;
    width: 20px;
    background-color: transparent;
    border: solid 2px #1471db;
    border-radius: 4px;
}

/* Create the checkmark/indicator (hidden when not checked) */
.userprofile .largeInputsContainer .container .checkmark:after {
    content: "";
    position: absolute;
    display: none;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

/* Show the checkmark when checked */
.userprofile .largeInputsContainer .container input:checked ~ .checkmark:after {
    display: block;
}

/* Style the checkmark/indicator */
.userprofile .largeInputsContainer .container .checkmark:after {
    left: 5px;
    width: 7px;
    height: 13px;
    border: solid #1471db;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

/* DARK MODE */
.dark .userprofile .largeInputsContainer .container .checkmark,
.dark .userprofile .largeInputsContainer .container .checkmark:after {
    border-color: rgba(255, 255, 255, 0.87);
}
.dark .userprofile .infoContainer .paramTitle,
.dark .userprofile .infoContainer .suffix,
.dark .userprofile .infoContainer input,
.dark .userprofile .infoContainer input::placeholder,
.dark .userprofile .twoColumnsContainer .infoContainer .selectContainer select,
.dark .userprofile .headerContainer .headerTitle,
.dark .userprofile .largeInputsContainer .container .labelTitle {
    color: rgba(255, 255, 255, 0.87);
}
.dark .userprofile .infoContainer input,
.dark .userprofile .twoColumnsContainer .infoContainer .selectContainer,
.dark .userprofile .twoColumnsContainer .infoContainer select {
    background-color: #1f2120;
}
.dark .userprofile .twoColumnsContainer .infoContainer .selectContainer .arrowIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/arrow_down_thing_icon_dm.png);
}
.dark .userprofile .editIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/pencil_icon_dm.png);
}
.dark .userprofile .headerContainer .closeIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/close-icon_white_v1.png);
}

@media only screen and (max-width: 1024px) {
    .userprofile .twoColumnsContainer.ipad {
        flex-direction: column;
        gap: 0;
    }
    .userprofile .headerContainer .headerTitle {
        margin-left: calc(50% - 63px);
    }
    .userprofile .largeInputsContainer,
    .userprofile .twoColumnsContainer {
        padding-inline: 100px;
    }
}

@media only screen and (max-width: 768px) {
    .userprofile {
        padding: 0;
    }
    .userprofile .imgAndNameContainer {
        flex-direction: column;
    }
    .userprofile .fullNameContainer {
        width: 100%;
        margin-left: 0;
    }
    .userprofile.imp .imperial {
        width: 100%;
    }
    .userprofile .headerContainer .headerTitle {
        font-size: 20px;
        line-height: 32px;
        letter-spacing: 0.2px;
    }
    .userprofile .infoContainer .paramTitle,
    .userprofile .infoContainer input,
    .userprofile .infoContainer .suffix,
    .userprofile .twoColumnsContainer .infoContainer .selectContainer select,
    .userprofile .infoContainer input::placeholder {
        font-size: 17px;
        line-height: 16px;
        letter-spacing: 0.2px;
    }
    .userprofile .infoContainer input,
    .userprofile .infoContainer .suffix,
    .userprofile .twoColumnsContainer .infoContainer .selectContainer select {
        height: 44px;
    }
    .userprofile .largeInputsContainer .container .labelTitle {
        font-size: 17px;
        line-height: 26px;
        letter-spacing: 0.17px;
    }
    .userprofile .editIcon {
        width: 18px;
        height: 18px;
        background-size: 18px;
    }
    .userprofile .imagePicker {
        width: 64px;
        height: 64px;
    }
    .userprofile .infoContainer .selectContainer .arrowIcon {
        width: 24px;
        height: 24px;
        background-size: 24px;
    }
    .userprofile .largeInputsContainer,
    .userprofile .twoColumnsContainer {
        padding-inline: 0;
    }
    .userprofile .action-button {
        min-width: 120px;
        height: 44px;
        font-size: 17px;
        letter-spacing: 0.221px;
        margin-inline: 10px;
    }
}

@media only screen and (max-width: 375px) {
    .userprofile .action-button {
        margin-inline: 2px;
    }
}
